dab_puncture_vbb Class Reference

Puncturing - remove bits, where the puncturing sequence is zero. More...

`#include <dab_puncture_vbb.h>`

Inheritance diagram for dab_puncture_vbb:
[legend]

## Public Member Functions

int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

dab_puncture_vbb_sptr | dab_make_puncture_vbb (const std::vector< unsigned char > &puncturing_vector)

## Detailed Description

Puncturing - remove bits, where the puncturing sequence is zero.

Parameters

  puncturing_vector | describes, which bits are removed (1=keep, 0=remove)

input: byte vector whose length equals the length of the puncturing vector output: byte vector whose length equeals the number of ones in the puncturing vector

## Member Function Documentation

## work()

int dab_puncture_vbb::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_puncture_vbb

dab_puncture_vbb_sptr dab_make_puncture_vbb | ( | const std::vector< unsigned char > & | puncturing_vector | ) |

friend

The documentation for this class was generated from the following file:

- dab_puncture_vbb.h